
From: janitor@sternwelten.at

Uses msleep() instead of schedule_timeout() to guarantee the task delays at
least the desired time amount.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/ds1620.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/char/ds1620.c~ds1620-replace-schedule_timeout-with-msleep drivers/char/ds1620.c
--- 25/drivers/char/ds1620.c~ds1620-replace-schedule_timeout-with-msleep	Wed Sep  1 15:23:45 2004
+++ 25-akpm/drivers/char/ds1620.c	Wed Sep  1 15:23:45 2004
@@ -373,8 +373,7 @@ static int __init ds1620_init(void)
 	th_start.hi = 1;
 	ds1620_write_state(&th_start);
 
-	set_current_state(TASK_INTERRUPTIBLE);
-	schedule_timeout(2*HZ);
+	msleep(2000);
 
 	ds1620_write_state(&th);
 
_
